import { Dash4Plugin, IDash4Plugin } from '@dash4/server';
import { IClientConfig } from '../shared-types';
export interface IOptions {
    cmd: string;
    cwd?: string;
    dark?: boolean;
    autostart?: boolean;
    width?: number[];
}
export declare class PluginTerminal extends Dash4Plugin implements IDash4Plugin<IClientConfig> {
    private _cmd;
    private _cwd;
    private _terminalLog;
    private _autostart;
    private _term?;
    private _stopProcessingTriggered;
    constructor({ dark, width, cmd, cwd, autostart }: IOptions);
    create(): void;
    readonly clientConfig: {
        cmd: string;
        cwd: string;
    };
    readonly clientFiles: string[];
    connected: () => void;
    private handleConnected;
    private handleTermStopProcessing;
    private recieveData;
    private kill;
    private write;
    private stop;
    private clean;
    private start;
}
